Summary: A program for handling multimedia mail using the mailcap file.
Name: metamail
Version: 2.7
Release: 9.ker.rhel3
License: Distributable
Group: Applications/Internet
BuildRequires: libtermcap-devel
Source: ftp://thumper.bellcore.com/pub/nsp/metamail/mm2.7.tar.bz2
Patch0: mm-2.7-make.patch.bz2
Patch1: mm-2.7-fonts.patch.bz2
Patch2: mm-2.7-glibc.patch.bz2
Patch3: mm-2.7-csh.patch.bz2
Patch4: mm-2.7-uudecode.patch.bz2
Patch5: mm-2.7-sunquote.patch.bz2
Patch6: mm-2.7-tmpfile.patch.bz2
Patch7: mm-2.7-ohnonotagain.patch.bz2
Patch8: mm-2.7-arghhh.patch.bz2
Patch9: mm-2.7-sml.patch.bz2
Patch10: metamail-2.7-nl.patch.bz2
Patch11: mm-2.7-linux.patch.bz2
Patch12: mm-2.7-strncpy.patch.bz2
Requires: mktemp sharutils csh
BuildRoot: %{_tmppath}/metamail-root
BuildRequires: XFree86

%description
Metamail is a system for handling multimedia mail, using the mailcap
file.  Metamail reads the mailcap file, which tells Metamail what
helper program to call in order to handle a particular type of non-text
mail.  Note that metamail can also add multimedia support to certain
non-mail programs.

Metamail should be installed if you need to add multimedia support to
mail programs and some other programs, using the mailcap file.

%prep
%setup -q -n mm2.7
%patch0 -p1 -b .make
%patch1 -p1 -b .font
%patch2 -p1 -b .glibc
%patch3 -p1 -b .csh
%patch4 -p1 -b .tmpfiles
%patch5 -p1 -b .quote
#%patch6 -p1 -b .tmpagain
%patch7 -p1 -b .sigh
%patch8 -p1 -b .arghhh
%patch9 -p1 -b .sml
%patch10 -p1
%patch11 -p1 -b .linux
%patch12 -p1

%build
cd src
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" basics

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/lib/metamail/fonts,usr/man/man1}
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/metamail/fonts,%{_mandir}/man1}
cd src
make INSTROOT=$RPM_BUILD_ROOT%{_prefix} install-all INSTALL="install -c" MAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 MAN4DIR=$RPM_BUILD_ROOT/%{_mandir}/man4

install -m644 fonts/*.pcf $RPM_BUILD_ROOT%{_libdir}/metamail/fonts
install -m644 fonts/fonts.alias $RPM_BUILD_ROOT%{_libdir}/metamail/fonts
mkfontdir $RPM_BUILD_ROOT%{_libdir}/metamail/fonts

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/metamail
%{_mandir}/man1/*
#%{_mandir}/man4/*

%changelog
* Wed Mar 10 2004 Milan Kerslager <kerslage@linux.cz> 2.7-9.ker.rhel3
- rebuild for RHEL3

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.7-9mdk
- s/Copyright/License/
- rebuild

* Thu May 24 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.7-8mdk
- BuildRequires: XFree86 (for mkfontdir and bdftopcf).
- fix rpmlint warnings

* Mon Jan 08 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.7-7mdk
- added mm-2.7-linux.patch to fix build (RedHat) 

* Sun Sep 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7-6mdk
- rebuilt using the new macroz.
- big move.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.7-5mdk
- automatically added BuildRequires

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 2.7-4mdk
- fix group

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix the newline parsing for the mailto content-type problem(r).
- changed all instances of /usr/lib/sendmail to /usr/sbin/sendmail(r)

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 20)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- rebuild against glibc 2.1

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue Jun 23 1998 Alan Cox <alan@redhat.com>
- Here we go again. One more quoting issue.

* Mon Jun 22 1998 Alan Cox <alan@redhat.com>
- If you want to know how not to write secure software
  then metamail is a good worked example. Mind you to
  be fair the original author wrote it as a prototype
  MIME tool and it stuck. Anyway it might actually be
  safe now. More from the Linux Security Audit Project.

* Tue Jun 16 1998 Alan Cox <alan@redhat.com>
- Round and round the tmp fixes go
  Where they stop nobody knows
- More holes in metamail fixed - (Linux Security Audit Project)

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue May 19 1998 Alan Cox <alan@redhat.com>
- Fixed the quoting bug in sun mail handling noted by Chris Evans and
  a while back via bugtraq.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- added security fix for uudecode 
- requires mktemp, sharutils

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc 

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Added security patch from Olaf for csh escapes.
